﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com/github/hub/releases/download/v2.14.1/hub-windows-386-2.14.1.zip'
    checksum       = '2aa8fcce4a5d42c0245b06dbd15bd016e07c7f6f627eca4ba10f1b2fb5297495'
    checksumType   = 'sha256'
    url64          = 'https://github.com/github/hub/releases/download/v2.14.1/hub-windows-amd64-2.14.1.zip'
    checksum64     = 'ce26126d2e47aea0ca799d73212948a4e26bfcd177582beb2eb9f5ebf44b9fad'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
